namespace IRaCIS.Core.Domain.Models;

[Comment("医生计费 - 每月支付记录表")]
[Table("Payment")]
public partial class Payment : BaseFullAuditEntity
{
    public Guid DoctorId { get; set; }
    public string YearMonth { get; set; } = string.Empty;
    public bool IsLock { get; set; }
    public DateTime YearMonthDate { get; set; }

    [DecimalPrecision(18, 2)]
    public decimal PaymentUSD { get; set; }

    [DecimalPrecision(18, 4)]
    public decimal PaymentCNY { get; set; }

    [DecimalPrecision(18, 2)]
    public decimal ExchangeRate { get; set; }
    [DecimalPrecision(18, 4)]
    public decimal AdjustmentCNY { get; set; }

    [DecimalPrecision(18, 2)]
    public decimal AdjustmentUSD { get; set; }
    public DateTime CalculateTime { get; set; } = DateTime.Now;

    public string CalculateUser { get; set; } = string.Empty;

    public string Note { get; set; } = string.Empty;
}
